From b7d4847e1920a3d9c22e97dcd901360188e4c5a8 Mon Sep 17 00:00:00 2001
From: falkTX <falktx@falktx.com>
Date: Tue, 15 Feb 2022 09:56:36 +0000
Subject: [PATCH] Do not build VST3 for currently unsupported systems

---
 Makefile | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git Makefile Makefile
index 4a911dc..c56fedb 100644
--- Makefile
+++ Makefile
@@ -32,6 +32,14 @@ else
 SYSDEPS ?= false
 endif
 
+ifeq ($(LINUX),true)
+VST3_SUPPORTED = true
+else ifeq ($(MACOS),true)
+VST3_SUPPORTED = true
+else ifeq ($(WINDOWS),true)
+VST3_SUPPORTED = true
+endif
+
 # --------------------------------------------------------------
 # Carla config
 
@@ -249,9 +257,11 @@ install:
 	install -d $(DESTDIR)$(PREFIX)/lib/lv2/CardinalSynth.lv2
 	install -d $(DESTDIR)$(PREFIX)/lib/vst/CardinalFX.vst
 	install -d $(DESTDIR)$(PREFIX)/lib/vst/CardinalSynth.vst
+ifeq ($(VST3_SUPPORTED),true)
 	install -d $(DESTDIR)$(PREFIX)/lib/vst3/Cardinal.vst3/Contents
 	install -d $(DESTDIR)$(PREFIX)/lib/vst3/CardinalFX.vst3/Contents
 	install -d $(DESTDIR)$(PREFIX)/lib/vst3/CardinalSynth.vst3/Contents
+endif
 	install -d $(DESTDIR)$(PREFIX)/share/cardinal
 	install -d $(DESTDIR)$(PREFIX)/share/doc/cardinal/docs
 
@@ -262,9 +272,11 @@ install:
 	install -m 644 bin/CardinalFX.vst/*.*    $(DESTDIR)$(PREFIX)/lib/vst/CardinalFX.vst/
 	install -m 644 bin/CardinalSynth.vst/*.* $(DESTDIR)$(PREFIX)/lib/vst/CardinalSynth.vst/
 
+ifeq ($(VST3_SUPPORTED),true)
 	cp -rL bin/Cardinal.vst3/Contents/*-*      $(DESTDIR)$(PREFIX)/lib/vst3/Cardinal.vst3/Contents/
 	cp -rL bin/CardinalFX.vst3/Contents/*-*    $(DESTDIR)$(PREFIX)/lib/vst3/CardinalFX.vst3/Contents/
 	cp -rL bin/CardinalSynth.vst3/Contents/*-* $(DESTDIR)$(PREFIX)/lib/vst3/CardinalSynth.vst3/Contents/
+endif
 
 	install -m 755 bin/Cardinal$(APP_EXT) $(DESTDIR)$(PREFIX)/bin/
 	cp -rL bin/Cardinal.lv2/resources/* $(DESTDIR)$(PREFIX)/share/cardinal/
